Unhandled exception on custom fields with mailto URL

2016-09-13 21:30 - Jake Kemme

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

When attempting to create a custom field that creates a mailto: hyperlink

 customfield.png 

when clicking save:

 customfielderror.png 

History

#1 - 2016-09-14 06:28 - Toshi MARUYAMA

- File mailto.png added

- Status changed from New to Needs feedback

I cannot reproduce.

 mailto.png 

Please see submissions.

#2 - 2016-09-15 16:12 - Jake Kemme

The unhandled exception was due to a bug in ruby 2.2 in versions < 2.2.5 p284 (Issue 10738) The unhandled part was resolved by updating ruby to

the latest 2.2.5 patch.

However, ruby URI.parse does not consider mailto: addresses invalid.  The bug is that mailto:%value% is not in the form mailto:user@address.com (a

valid email address).  However, there is no other option to display clickable email addresses as a custom field.  The validation here on the URL field

should not apply, due to value being valid replacement syntax.

#3 - 2016-09-19 06:41 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Jake Kemme wrote:

The unhandled exception was due to a bug in ruby 2.2 in versions < 2.2.5 p284 (Issue 10738) The unhandled part was resolved by updating

ruby to the latest 2.2.5 patch.

 Thank you for your feedback.

However, ruby URI.parse does not consider mailto: addresses invalid.  The bug is that mailto:%value% is not in the form mailto:

user@address.com (a valid email address).  However, there is no other option to display clickable email addresses as a custom field.  The

validation here on the URL field should not apply, due to value being valid replacement syntax.

 Please create new issue.
